org.wildfly.swarm.config.management.security_realm

## Class PlugInAuthorization<T extends PlugInAuthorization<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.security_realm.PlugInAuthorization<T>

-     public class PlugInAuthorization<T extends PlugInAuthorization<T>>
      extends Object

  Configuration of a user store plug-in for use by the realm.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PlugInAuthorization.PlugInAuthorizationResources` Child mutators for PlugInAuthorization

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlugInAuthorization()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `name()` The short name of the plug-in (as registered) to use.
    `T` | `name(String value)` The short name of the plug-in (as registered) to use.
    `T` | `properties(List<Property> value)` Add all Property objects to this subresource
    `T` | `property(Property value)` Add the Property object to the list of subresources
    `T` | `property(PropertySupplier supplier)` Install a supplied Property object to the list of subresources
    `T` | `property(String childKey)` Create and configure a Property object to the list of subresources
    `T` | `property(String childKey, PropertyConsumer consumer)` Create and configure a Property object to the list of subresources
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `PlugInAuthorization.PlugInAuthorizationResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlugInAuthorization

          public PlugInAuthorization()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public PlugInAuthorization.PlugInAuthorizationResources subresources()

    - #### properties

          public T properties(List<Property> value)

      Add all Property objects to this subresource
      Parameters:
        `value` - List of Property objects.
      Returns:
        this

    - #### property

          public T property(Property value)

      Add the Property object to the list of subresources
      Parameters:
        `value` - The Property to add
      Returns:
        this

    - #### property

          public T property(String childKey,
                            PropertyConsumer consumer)

      Create and configure a Property object to the list of subresources
      Parameters:
        `key` - The key for the Property resource
        `config` - The PropertyConsumer to use
      Returns:
        this

    - #### property

          public T property(String childKey)

      Create and configure a Property object to the list of subresources
      Parameters:
        `key` - The key for the Property resource
      Returns:
        this

    - #### property

          public T property(PropertySupplier supplier)

      Install a supplied Property object to the list of subresources

    - #### name

          public String name()

      The short name of the plug-in (as registered) to use.

    - #### name

          public T name(String value)

      The short name of the plug-in (as registered) to use.

Copyright © 2018 JBoss by Red Hat. All rights reserved.